package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability591/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkRefundAggregateRequest struct {
	/*
	   系统自动生成     */
	RefundAggregateQueryRequest *domain.AlibabaWdkRefundAggregateRefundAggregateQueryRequest `json:"refund_aggregate_query_request,omitempty" required:"false" `
}

func (s *AlibabaWdkRefundAggregateRequest) SetRefundAggregateQueryRequest(v domain.AlibabaWdkRefundAggregateRefundAggregateQueryRequest) *AlibabaWdkRefundAggregateRequest {
	s.RefundAggregateQueryRequest = &v
	return s
}

func (req *AlibabaWdkRefundAggregateRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.RefundAggregateQueryRequest != nil {
		paramMap["refund_aggregate_query_request"] = util.ConvertStruct(*req.RefundAggregateQueryRequest)
	}
	return paramMap
}

func (req *AlibabaWdkRefundAggregateRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
